# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/EditorAPIsPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EditorAPIsPage(object):
    def setupUi(self, EditorAPIsPage):
        EditorAPIsPage.setObjectName("EditorAPIsPage")
        EditorAPIsPage.resize(462, 539)
        self.verticalLayout = QtWidgets.QVBoxLayout(EditorAPIsPage)
        self.verticalLayout.setObjectName("verticalLayout")
        self.headerLabel = QtWidgets.QLabel(parent=EditorAPIsPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout.addWidget(self.headerLabel)
        self.line5 = QtWidgets.QFrame(parent=EditorAPIsPage)
        self.line5.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line5.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line5.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line5.setObjectName("line5")
        self.verticalLayout.addWidget(self.line5)
        self.apiAutoPrepareCheckBox = QtWidgets.QCheckBox(parent=EditorAPIsPage)
        self.apiAutoPrepareCheckBox.setObjectName("apiAutoPrepareCheckBox")
        self.verticalLayout.addWidget(self.apiAutoPrepareCheckBox)
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.TextLabel1_3_3 = QtWidgets.QLabel(parent=EditorAPIsPage)
        self.TextLabel1_3_3.setToolTip("")
        self.TextLabel1_3_3.setObjectName("TextLabel1_3_3")
        self.gridLayout_2.addWidget(self.TextLabel1_3_3, 0, 0, 1, 1)
        self.apiLanguageComboBox = QtWidgets.QComboBox(parent=EditorAPIsPage)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.apiLanguageComboBox.sizePolicy().hasHeightForWidth())
        self.apiLanguageComboBox.setSizePolicy(sizePolicy)
        self.apiLanguageComboBox.setObjectName("apiLanguageComboBox")
        self.gridLayout_2.addWidget(self.apiLanguageComboBox, 0, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=EditorAPIsPage)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 1, 0, 1, 1)
        self.projectTypeComboBox = QtWidgets.QComboBox(parent=EditorAPIsPage)
        self.projectTypeComboBox.setObjectName("projectTypeComboBox")
        self.gridLayout_2.addWidget(self.projectTypeComboBox, 1, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout_2)
        self.apiGroup = QtWidgets.QGroupBox(parent=EditorAPIsPage)
        self.apiGroup.setEnabled(False)
        self.apiGroup.setObjectName("apiGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.apiGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.apiList = QtWidgets.QListWidget(parent=self.apiGroup)
        self.apiList.setAlternatingRowColors(True)
        self.apiList.setObjectName("apiList")
        self.gridLayout.addWidget(self.apiList, 0, 0, 1, 3)
        self.deleteApiFileButton = QtWidgets.QPushButton(parent=self.apiGroup)
        self.deleteApiFileButton.setObjectName("deleteApiFileButton")
        self.gridLayout.addWidget(self.deleteApiFileButton, 1, 0, 1, 1)
        self.addApiFileButton = QtWidgets.QPushButton(parent=self.apiGroup)
        self.addApiFileButton.setObjectName("addApiFileButton")
        self.gridLayout.addWidget(self.addApiFileButton, 1, 1, 1, 1)
        self.apiFilePicker = EricPathPicker(parent=self.apiGroup)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.apiFilePicker.sizePolicy().hasHeightForWidth())
        self.apiFilePicker.setSizePolicy(sizePolicy)
        self.apiFilePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.apiFilePicker.setObjectName("apiFilePicker")
        self.gridLayout.addWidget(self.apiFilePicker, 1, 2, 1, 1)
        self.addInstalledApiFileButton = QtWidgets.QPushButton(parent=self.apiGroup)
        self.addInstalledApiFileButton.setObjectName("addInstalledApiFileButton")
        self.gridLayout.addWidget(self.addInstalledApiFileButton, 2, 1, 1, 2)
        self.addPluginApiFileButton = QtWidgets.QPushButton(parent=self.apiGroup)
        self.addPluginApiFileButton.setObjectName("addPluginApiFileButton")
        self.gridLayout.addWidget(self.addPluginApiFileButton, 3, 1, 1, 2)
        self.line = QtWidgets.QFrame(parent=self.apiGroup)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 4, 0, 1, 3)
        self.prepareApiButton = QtWidgets.QPushButton(parent=self.apiGroup)
        self.prepareApiButton.setObjectName("prepareApiButton")
        self.gridLayout.addWidget(self.prepareApiButton, 5, 0, 1, 1)
        self.prepareApiProgressBar = QtWidgets.QProgressBar(parent=self.apiGroup)
        self.prepareApiProgressBar.setProperty("value", 0)
        self.prepareApiProgressBar.setTextVisible(False)
        self.prepareApiProgressBar.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.prepareApiProgressBar.setObjectName("prepareApiProgressBar")
        self.gridLayout.addWidget(self.prepareApiProgressBar, 5, 1, 1, 2)
        self.verticalLayout.addWidget(self.apiGroup)

        self.retranslateUi(EditorAPIsPage)
        QtCore.QMetaObject.connectSlotsByName(EditorAPIsPage)
        EditorAPIsPage.setTabOrder(self.apiAutoPrepareCheckBox, self.apiLanguageComboBox)
        EditorAPIsPage.setTabOrder(self.apiLanguageComboBox, self.projectTypeComboBox)
        EditorAPIsPage.setTabOrder(self.projectTypeComboBox, self.apiList)
        EditorAPIsPage.setTabOrder(self.apiList, self.deleteApiFileButton)
        EditorAPIsPage.setTabOrder(self.deleteApiFileButton, self.addApiFileButton)
        EditorAPIsPage.setTabOrder(self.addApiFileButton, self.apiFilePicker)
        EditorAPIsPage.setTabOrder(self.apiFilePicker, self.addInstalledApiFileButton)
        EditorAPIsPage.setTabOrder(self.addInstalledApiFileButton, self.addPluginApiFileButton)
        EditorAPIsPage.setTabOrder(self.addPluginApiFileButton, self.prepareApiButton)

    def retranslateUi(self, EditorAPIsPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("EditorAPIsPage", "<b>Configure API files</b>"))
        self.apiAutoPrepareCheckBox.setToolTip(_translate("EditorAPIsPage", "Select to compile the APIs automatically upon loading"))
        self.apiAutoPrepareCheckBox.setText(_translate("EditorAPIsPage", "Compile APIs automatically"))
        self.TextLabel1_3_3.setText(_translate("EditorAPIsPage", "Language:"))
        self.apiLanguageComboBox.setToolTip(_translate("EditorAPIsPage", "Select the language to be configured."))
        self.label.setText(_translate("EditorAPIsPage", "Project Type:"))
        self.projectTypeComboBox.setToolTip(_translate("EditorAPIsPage", "Select the project type to be configured"))
        self.apiGroup.setTitle(_translate("EditorAPIsPage", "APIs"))
        self.apiList.setToolTip(_translate("EditorAPIsPage", "List of API files"))
        self.deleteApiFileButton.setToolTip(_translate("EditorAPIsPage", "Press to delete the selected file from the list"))
        self.deleteApiFileButton.setText(_translate("EditorAPIsPage", "Delete"))
        self.addApiFileButton.setToolTip(_translate("EditorAPIsPage", "Press to add the entered file to the list"))
        self.addApiFileButton.setText(_translate("EditorAPIsPage", "Add"))
        self.addInstalledApiFileButton.setToolTip(_translate("EditorAPIsPage", "Press to select an API file from the list of installed API files"))
        self.addInstalledApiFileButton.setText(_translate("EditorAPIsPage", "Add from installed APIs"))
        self.addPluginApiFileButton.setToolTip(_translate("EditorAPIsPage", "Press to select an API file from the list of API files installed by plugins"))
        self.addPluginApiFileButton.setText(_translate("EditorAPIsPage", "Add from Plugin APIs"))
        self.prepareApiButton.setToolTip(_translate("EditorAPIsPage", "Press to compile the selected APIs definition"))
        self.prepareApiButton.setText(_translate("EditorAPIsPage", "Compile APIs"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
